* support/regression/tests/bug-895992.c,
[fw/sdcc] / configure
index df428ca207785ad46561619049144a99b9574c1d..16a453cae84d2a6e1fe30d8a1bdd44594d2d7222 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,8 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for sdcc 2.7.2.
-#
-# Report bugs to <sdcc-devel@lists.sourceforge.net>.
+# Generated by GNU Autoconf 2.61.
 #
 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
 # 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
@@ -572,12 +570,13 @@ MAKEFLAGS=
 SHELL=${CONFIG_SHELL-/bin/sh}
 
 # Identity of this package.
-PACKAGE_NAME='sdcc'
-PACKAGE_TARNAME='sdcc'
-PACKAGE_VERSION='2.7.2'
-PACKAGE_STRING='sdcc 2.7.2'
-PACKAGE_BUGREPORT='sdcc-devel@lists.sourceforge.net'
+PACKAGE_NAME=
+PACKAGE_TARNAME=
+PACKAGE_VERSION=
+PACKAGE_STRING=
+PACKAGE_BUGREPORT=
 
+ac_unique_file=".version"
 ac_unique_file="Makefile.in"
 # Factoring default headers for most tests.
 ac_includes_default="\
@@ -653,6 +652,7 @@ build_alias
 host_alias
 target_alias
 AWK
+PACKAGE
 VERSION
 VERSIONHI
 VERSIONLO
@@ -720,7 +720,7 @@ sdccconf_h_dir_separator
 include_dir_suffix
 lib_dir_suffix
 docdir'
-ac_subdirs_all='support/cpp2
+ac_subdirs_all='support/cpp
 support/packihx
 sim/ucsim
 debugger/mcs51
@@ -763,7 +763,7 @@ sharedstatedir='${prefix}/com'
 localstatedir='${prefix}/var'
 includedir='${prefix}/include'
 oldincludedir='/usr/include'
-docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
+docdir='${datarootdir}/doc/${PACKAGE}'
 infodir='${datarootdir}/info'
 htmldir='${docdir}'
 dvidir='${docdir}'
@@ -1227,7 +1227,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures sdcc 2.7.2 to adapt to many kinds of systems.
+\`configure' configures this package to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1275,7 +1275,7 @@ Fine tuning of the installation directories:
   --infodir=DIR          info documentation [DATAROOTDIR/info]
   --localedir=DIR        locale-dependent data [DATAROOTDIR/locale]
   --mandir=DIR           man documentation [DATAROOTDIR/man]
-  --docdir=DIR           documentation root [DATAROOTDIR/doc/sdcc]
+  --docdir=DIR           documentation root [DATAROOTDIR/doc/PACKAGE]
   --htmldir=DIR          html documentation [DOCDIR]
   --dvidir=DIR           dvi documentation [DOCDIR]
   --pdfdir=DIR           pdf documentation [DOCDIR]
@@ -1292,9 +1292,7 @@ _ACEOF
 fi
 
 if test -n "$ac_init_help"; then
-  case $ac_init_help in
-     short | recursive ) echo "Configuration of sdcc 2.7.2:";;
-   esac
+
   cat <<\_ACEOF
 
 Optional Features:
@@ -1339,7 +1337,6 @@ Some influential environment variables:
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
 
-Report bugs to <sdcc-devel@lists.sourceforge.net>.
 _ACEOF
 ac_status=$?
 fi
@@ -1400,7 +1397,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-sdcc configure 2.7.2
+configure
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1414,7 +1411,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by sdcc $as_me 2.7.2, which was
+It was created by $as_me, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -1747,14 +1744,6 @@ fi
 
 
 
-
-
-
-
-
-
-
-
 
 
 
@@ -1814,13 +1803,29 @@ fi
 done
 
 
-VERSION=$PACKAGE_VERSION
+{ echo "$as_me:$LINENO: checking version of the package" >&5
+echo $ECHO_N "checking version of the package... $ECHO_C" >&6; }
+if test -f ${srcdir}/.version; then
+  { read VERSION; } < ${srcdir}/.version
+  { echo "$as_me:$LINENO: result: $VERSION" >&5
+echo "${ECHO_T}$VERSION" >&6; }
+elif test -f ../.version; then
+  { read VERSION; } < ../.version
+  { echo "$as_me:$LINENO: result: $VERSION" >&5
+echo "${ECHO_T}$VERSION" >&6; }
+else
+  VERSION="0.0.0"
+  { echo "$as_me:$LINENO: result: unknown using 0.0.0" >&5
+echo "${ECHO_T}unknown using 0.0.0" >&6; }
+fi
 VERSIONHI=`echo $VERSION|$AWK 'BEGIN {FS="."} {print $1}'`
 VERSIONLO=`echo $VERSION|$AWK 'BEGIN {FS="."} {print $2}'`
 VERSIONP=`echo $VERSION|$AWK 'BEGIN {FS="."} {print $3}'`
 
 { echo "$as_me:$LINENO: result: ${VERSION}" >&5
 echo "${ECHO_T}${VERSION}" >&6; }
+PACKAGE=sdcc
+
 
 
 
@@ -6037,9 +6042,14 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-{ echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
-echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6; }
-if test "${ac_cv_c_bigendian+set}" = set; then
+
+# SDCC_BUILD_BIGENDIAN ([ACTION-IF-TRUE], [ACTION-IF-FALSE], [ACTION-IF-UNKNOWN])
+# -------------------------------------------------------------------------
+# SDCC_BUILD_BIGENDIAN
+
+{ echo "$as_me:$LINENO: checking whether host machine byte ordering is bigendian" >&5
+echo $ECHO_N "checking whether host machine byte ordering is bigendian... $ECHO_C" >&6; }
+if test "${sdcc_cv_build_bigendian+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   # See if sys/param.h defines the BYTE_ORDER macro.
@@ -6119,12 +6129,12 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  ac_cv_c_bigendian=yes
+  sdcc_cv_build_bigendian=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_c_bigendian=no
+       sdcc_cv_build_bigendian=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
@@ -6135,7 +6145,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
        # It does not; compile a test program.
 if test "$cross_compiling" = yes; then
   # try to guess the endianness by grepping values into an object file
-  ac_cv_c_bigendian=unknown
+  sdcc_cv_build_bigendian=unknown
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -6174,14 +6184,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
-  ac_cv_c_bigendian=yes
+  sdcc_cv_build_bigendian=yes
 fi
 if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
-  if test "$ac_cv_c_bigendian" = unknown; then
-    ac_cv_c_bigendian=no
+  if test "$sdcc_cv_build_bigendian" = unknown; then
+    sdcc_cv_build_bigendian=no
   else
     # finding both strings is unlikely to happen, but who knows?
-    ac_cv_c_bigendian=unknown
+    sdcc_cv_build_bigendian=unknown
   fi
 fi
 else
@@ -6237,14 +6247,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_c_bigendian=no
+  sdcc_cv_build_bigendian=no
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
-ac_cv_c_bigendian=yes
+sdcc_cv_build_bigendian=yes
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
@@ -6254,22 +6264,22 @@ fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
-echo "${ECHO_T}$ac_cv_c_bigendian" >&6; }
-case $ac_cv_c_bigendian in
+{ echo "$as_me:$LINENO: result: $sdcc_cv_build_bigendian" >&5
+echo "${ECHO_T}$sdcc_cv_build_bigendian" >&6; }
+case $sdcc_cv_build_bigendian in
   yes)
 
 cat >>confdefs.h <<\_ACEOF
-#define WORDS_BIGENDIAN 1
+#define BUILD_WORDS_BIGENDIAN 1
 _ACEOF
  ;;
   no)
      ;;
   *)
     { { echo "$as_me:$LINENO: error: unknown endianness
-presetting ac_cv_c_bigendian=no (or yes) will help" >&5
+presetting sdcc_cv_build_bigendian=no (or yes) will help" >&5
 echo "$as_me: error: unknown endianness
-presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
+presetting sdcc_cv_build_bigendian=no (or yes) will help" >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
 
@@ -7591,7 +7601,7 @@ mv ports ports.build
 
 # Generating output files
 # ===========================================================================
-test $OPT_DISABLE_SDCPP   = 0 && subdirs="$subdirs support/cpp2"
+test $OPT_DISABLE_SDCPP   = 0 && subdirs="$subdirs support/cpp"
 
 test $OPT_DISABLE_PACKIHX = 0 && subdirs="$subdirs support/packihx"
 
@@ -8057,7 +8067,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by sdcc $as_me 2.7.2, which was
+This file was extended by $as_me, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -8106,7 +8116,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-sdcc config.status 2.7.2
+config.status
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -8351,6 +8361,7 @@ build_alias!$build_alias$ac_delim
 host_alias!$host_alias$ac_delim
 target_alias!$target_alias$ac_delim
 AWK!$AWK$ac_delim
+PACKAGE!$PACKAGE$ac_delim
 VERSION!$VERSION$ac_delim
 VERSIONHI!$VERSIONHI$ac_delim
 VERSIONLO!$VERSIONLO$ac_delim
@@ -8406,7 +8417,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 91; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5